您的位置是:网站首页>Javascript编程Javascript编程

jquery不兼容ie浏览器怎么办

少儿编程网2021-09-27 14:04:42Javascript编程 人已围观 来源:少儿编程 -用户投稿

简介jquery不兼容ie浏览器的解决办法:1、可以使用原生JS或者低版本的【Jquery1.x】版本;2、可以给网页写两套或者多套JS代码以适应不同版本、不同类型的浏览器。推荐:《jquery视频教程》jquery不兼容ie浏览器的解决办法:1、可以使用原生JS或者低版本的Jquery1.x版本。因为

jquery不兼容ie浏览器的解决办法:1、可以使用原生JS或者低版本的【Jquery1.x】版本;2、可以给网页写两套或者多套JS代码以适应不同版本、不同类型的浏览器。6GZ少儿编程网-https://www.pxcodes.com

6GZ少儿编程网-https://www.pxcodes.com

推荐:《jquery视频教程》6GZ少儿编程网-https://www.pxcodes.com

jquery不兼容ie浏览器的解决办法:6GZ少儿编程网-https://www.pxcodes.com

1、可以使用原生JS或者低版本的Jquery1.x版本。因为Jquery从2.x版本开始已经不再进行IE低版本(IE6、IE7、IE8)的兼容性处理。如果需要兼容低版本的IE版本,建议使用原生JS或者低版本的Jquery1.x版本。6GZ少儿编程网-https://www.pxcodes.com

2、可以给网页写两套或者多套JS代码以适应不同版本、不同类型的浏览器,然后使用原生JS判断浏览器的型号和版本来加载不同的JS文件。6GZ少儿编程网-https://www.pxcodes.com

具体的实现方法如下:6GZ少儿编程网-https://www.pxcodes.com

<script language="javascript">
//判断是否为IE浏览器
if(navigator.appName == "Microsoft Internet Explorer") {
if(navigator.appVersion.match(/7./i) == '6.' || navigator.appVersion.match(/7./i) == '7.' || 
navigator.appVersion.match(/7./i) == '8.') {
document.write("<script src="myjs1.js">" + "</script>"); 
} 
else{ 
document.write("<script src= "myjs2.js.js">"+"</script>"); 
} 
} 
</script>

相关免费学习推荐:JavaScript(视频)6GZ少儿编程网-https://www.pxcodes.com

以上就是jquery不兼容ie浏览器怎么办的详细内容,更多请关注少儿编程网其它相关文章!6GZ少儿编程网-https://www.pxcodes.com

来源:php中文网6GZ少儿编程网-https://www.pxcodes.com


相关文章:

支持一下 ( )

jquery不兼容ie浏览器怎么办

      匿名评论
    • 评论
    人参与,条评论
    jquery不兼容ie浏览器怎么办

微信公众号

免费视频教程

先知道